aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authormarha <marha@users.sourceforge.net>2010-10-02 17:38:11 +0000
committermarha <marha@users.sourceforge.net>2010-10-02 17:38:11 +0000
commitfe234aa555e2b16ac7836fee297878a6e3efe343 (patch)
tree0054fee4ccceedccb9c6a2e1b35574ffa538788a
parent54fffe7283b49dcaae81e826eb0dff213552c4ec (diff)
parentb65b8f8f5f9d2ffcf9dd6419f0c582d14986a9e0 (diff)
downloadvcxsrv-fe234aa555e2b16ac7836fee297878a6e3efe343.tar.gz
vcxsrv-fe234aa555e2b16ac7836fee297878a6e3efe343.tar.bz2
vcxsrv-fe234aa555e2b16ac7836fee297878a6e3efe343.zip
svn merge ^/branches/released .
-rw-r--r--xorg-server/Makefile.am192
-rw-r--r--xorg-server/configure.ac5
-rw-r--r--xorg-server/m4/dolt.m4181
-rw-r--r--xorg-server/xkeyboard-config/symbols/ir38
4 files changed, 117 insertions, 299 deletions
diff --git a/xorg-server/Makefile.am b/xorg-server/Makefile.am
index 8b7a2c8b4..1c522137d 100644
--- a/xorg-server/Makefile.am
+++ b/xorg-server/Makefile.am
@@ -1,97 +1,95 @@
-AUTOMAKE_OPTIONS=nostdinc
-ACLOCAL_AMFLAGS = -I m4
-
-if COMPOSITE
-COMPOSITE_DIR=composite
-endif
-
-if GLX
-GLX_DIR=glx
-endif
-
-if DBE
-DBE_DIR=dbe
-endif
-
-if RECORD
-RECORD_DIR=record
-endif
-
-SUBDIRS = \
- doc \
- include \
- dix \
- fb \
- mi \
- Xext \
- miext \
- os \
- randr \
- render \
- Xi \
- xkb \
- $(DBE_DIR) \
- $(RECORD_DIR) \
- xfixes \
- damageext \
- $(COMPOSITE_DIR) \
- $(GLX_DIR) \
- exa \
- config \
- hw \
- test
-
-if XORG
-aclocaldir = $(datadir)/aclocal
-aclocal_DATA = xorg-server.m4
-
-pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = xorg-server.pc
-endif
-
-EXTRA_DIST = xorg-server.pc.in xorg-server.m4 autogen.sh
-
-DISTCHECK_CONFIGURE_FLAGS=\
- --with-xkb-path=$(XKB_BASE_DIRECTORY) \
- --with-xkb-bin-directory=$(XKB_BIN_DIRECTORY) \
- --with-xkb-output='$${datadir}/X11/xkb/compiled'
-
-DISTCLEANFILES = doltcompile doltlibtool
-
-.PHONY: ChangeLog INSTALL
-
-INSTALL:
- $(INSTALL_CMD)
-
-ChangeLog:
- $(CHANGELOG_CMD)
-
-dist-hook: ChangeLog INSTALL
-
-DIST_SUBDIRS = \
- doc \
- include \
- dix \
- fb \
- mi \
- Xext \
- miext \
- os \
- randr \
- render \
- Xi \
- xkb \
- dbe \
- record \
- xfixes \
- damageext \
- composite \
- glx \
- exa \
- config \
- hw \
- test
-
-# gross hack
-relink: all
- $(AM_V_at)$(MAKE) -C hw relink
+AUTOMAKE_OPTIONS=nostdinc
+ACLOCAL_AMFLAGS = -I m4
+
+if COMPOSITE
+COMPOSITE_DIR=composite
+endif
+
+if GLX
+GLX_DIR=glx
+endif
+
+if DBE
+DBE_DIR=dbe
+endif
+
+if RECORD
+RECORD_DIR=record
+endif
+
+SUBDIRS = \
+ doc \
+ include \
+ dix \
+ fb \
+ mi \
+ Xext \
+ miext \
+ os \
+ randr \
+ render \
+ Xi \
+ xkb \
+ $(DBE_DIR) \
+ $(RECORD_DIR) \
+ xfixes \
+ damageext \
+ $(COMPOSITE_DIR) \
+ $(GLX_DIR) \
+ exa \
+ config \
+ hw \
+ test
+
+if XORG
+aclocaldir = $(datadir)/aclocal
+aclocal_DATA = xorg-server.m4
+
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = xorg-server.pc
+endif
+
+EXTRA_DIST = xorg-server.pc.in xorg-server.m4 autogen.sh
+
+DISTCHECK_CONFIGURE_FLAGS=\
+ --with-xkb-path=$(XKB_BASE_DIRECTORY) \
+ --with-xkb-bin-directory=$(XKB_BIN_DIRECTORY) \
+ --with-xkb-output='$${datadir}/X11/xkb/compiled'
+
+.PHONY: ChangeLog INSTALL
+
+INSTALL:
+ $(INSTALL_CMD)
+
+ChangeLog:
+ $(CHANGELOG_CMD)
+
+dist-hook: ChangeLog INSTALL
+
+DIST_SUBDIRS = \
+ doc \
+ include \
+ dix \
+ fb \
+ mi \
+ Xext \
+ miext \
+ os \
+ randr \
+ render \
+ Xi \
+ xkb \
+ dbe \
+ record \
+ xfixes \
+ damageext \
+ composite \
+ glx \
+ exa \
+ config \
+ hw \
+ test
+
+# gross hack
+relink: all
+ $(AM_V_at)$(MAKE) -C hw relink
diff --git a/xorg-server/configure.ac b/xorg-server/configure.ac
index 5fcc39bfb..0d97d488a 100644
--- a/xorg-server/configure.ac
+++ b/xorg-server/configure.ac
@@ -26,8 +26,8 @@ dnl
dnl Process this file with autoconf to create configure.
AC_PREREQ(2.57)
-AC_INIT([xorg-server], 1.9.0, [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg], xorg-server)
-RELEASE_DATE="2010-08-20"
+AC_INIT([xorg-server], 1.9.99.1, [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg], xorg-server)
+RELEASE_DATE="2010-10-01"
AC_CONFIG_SRCDIR([Makefile.am])
AM_INIT_AUTOMAKE([foreign dist-bzip2])
AM_MAINTAINER_MODE
@@ -71,7 +71,6 @@ AC_PROG_LN_S
AC_LIBTOOL_WIN32_DLL
AC_DISABLE_STATIC
AC_PROG_LIBTOOL
-DOLT
AC_PROG_MAKE_SET
PKG_PROG_PKG_CONFIG
AC_PROG_LEX
diff --git a/xorg-server/m4/dolt.m4 b/xorg-server/m4/dolt.m4
deleted file mode 100644
index 7c62b6c46..000000000
--- a/xorg-server/m4/dolt.m4
+++ /dev/null
@@ -1,181 +0,0 @@
-dnl dolt, a replacement for libtool
-dnl Copyright © 2007-2008 Josh Triplett <josh@freedesktop.org>
-dnl Copying and distribution of this file, with or without modification,
-dnl are permitted in any medium without royalty provided the copyright
-dnl notice and this notice are preserved.
-dnl
-dnl To use dolt, invoke the DOLT macro immediately after the libtool macros.
-dnl Optionally, copy this file into acinclude.m4, to avoid the need to have it
-dnl installed when running autoconf on your project.
-
-AC_DEFUN([DOLT], [
-AC_REQUIRE([AC_CANONICAL_HOST])
-# dolt, a replacement for libtool
-# Josh Triplett <josh@freedesktop.org>
-AC_PATH_PROG(DOLT_BASH, bash)
-AC_MSG_CHECKING([if dolt supports this host])
-dolt_supported=yes
-if test x$DOLT_BASH = x; then
- dolt_supported=no
-fi
-if test x$GCC != xyes; then
- dolt_supported=no
-fi
-case $host in
-i?86-*-linux*|x86_64-*-linux*|powerpc-*-linux* \
-|amd64-*-freebsd*|i?86-*-freebsd*|ia64-*-freebsd*)
- pic_options='-fPIC'
- ;;
-i?86-pc-cygwin*)
- pic_options='-DDLL_EXPORT'
- ;;
-i?86-apple-darwin*)
- pic_options='-fno-common'
- ;;
-*)
- dolt_supported=no
- ;;
-esac
-if test x$dolt_supported = xno ; then
- AC_MSG_RESULT([no, falling back to libtool])
- LTCOMPILE='$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(COMPILE)'
- LTCXXCOMPILE='$(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXXCOMPILE)'
-else
- AC_MSG_RESULT([yes, replacing libtool])
-
-dnl Start writing out doltcompile.
- cat <<__DOLTCOMPILE__EOF__ >doltcompile
-#!$DOLT_BASH
-__DOLTCOMPILE__EOF__
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-args=("$[]@")
-for ((arg=0; arg<${#args@<:@@@:>@}; arg++)) ; do
- if test x"${args@<:@$arg@:>@}" = x-o ; then
- objarg=$((arg+1))
- break
- fi
-done
-if test x$objarg = x ; then
- echo 'Error: no -o on compiler command line' 1>&2
- exit 1
-fi
-lo="${args@<:@$objarg@:>@}"
-obj="${lo%.lo}"
-if test x"$lo" = x"$obj" ; then
- echo "Error: libtool object file name \"$lo\" does not end in .lo" 1>&2
- exit 1
-fi
-objbase="${obj##*/}"
-__DOLTCOMPILE__EOF__
-
-dnl Write out shared compilation code.
- if test x$enable_shared = xyes; then
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-libobjdir="${obj%$objbase}.libs"
-if test ! -d "$libobjdir" ; then
- mkdir_out="$(mkdir "$libobjdir" 2>&1)"
- mkdir_ret=$?
- if test "$mkdir_ret" -ne 0 && test ! -d "$libobjdir" ; then
- echo "$mkdir_out" 1>&2
- exit $mkdir_ret
- fi
-fi
-pic_object="$libobjdir/$objbase.o"
-args@<:@$objarg@:>@="$pic_object"
-__DOLTCOMPILE__EOF__
- cat <<__DOLTCOMPILE__EOF__ >>doltcompile
-"\${args@<:@@@:>@}" $pic_options -DPIC || exit \$?
-__DOLTCOMPILE__EOF__
- fi
-
-dnl Write out static compilation code.
-dnl Avoid duplicate compiler output if also building shared objects.
- if test x$enable_static = xyes; then
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-non_pic_object="$obj.o"
-args@<:@$objarg@:>@="$non_pic_object"
-__DOLTCOMPILE__EOF__
- if test x$enable_shared = xyes; then
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-"${args@<:@@@:>@}" >/dev/null 2>&1 || exit $?
-__DOLTCOMPILE__EOF__
- else
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-"${args@<:@@@:>@}" || exit $?
-__DOLTCOMPILE__EOF__
- fi
- fi
-
-dnl Write out the code to write the .lo file.
-dnl The second line of the .lo file must match "^# Generated by .*libtool"
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-{
-echo "# $lo - a libtool object file"
-echo "# Generated by doltcompile, not libtool"
-__DOLTCOMPILE__EOF__
-
- if test x$enable_shared = xyes; then
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-echo "pic_object='.libs/${objbase}.o'"
-__DOLTCOMPILE__EOF__
- else
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-echo pic_object=none
-__DOLTCOMPILE__EOF__
- fi
-
- if test x$enable_static = xyes; then
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-echo "non_pic_object='${objbase}.o'"
-__DOLTCOMPILE__EOF__
- else
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-echo non_pic_object=none
-__DOLTCOMPILE__EOF__
- fi
-
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-} > "$lo"
-__DOLTCOMPILE__EOF__
-
-dnl Done writing out doltcompile; substitute it for libtool compilation.
- chmod +x doltcompile
- LTCOMPILE='$(top_builddir)/doltcompile $(COMPILE)'
- LTCXXCOMPILE='$(top_builddir)/doltcompile $(CXXCOMPILE)'
-
-dnl automake ignores LTCOMPILE and LTCXXCOMPILE when it has separate CFLAGS for
-dnl a target, so write out a libtool wrapper to handle that case.
-dnl Note that doltlibtool does not handle inferred tags or option arguments
-dnl without '=', because automake does not use them.
- cat <<__DOLTLIBTOOL__EOF__ > doltlibtool
-#!$DOLT_BASH
-__DOLTLIBTOOL__EOF__
- cat <<'__DOLTLIBTOOL__EOF__' >>doltlibtool
-top_builddir_slash="${0%%doltlibtool}"
-: ${top_builddir_slash:=./}
-args=()
-modeok=false
-tagok=false
-for arg in "$[]@"; do
- case "$arg" in
- --silent) ;;
- --mode=compile) modeok=true ;;
- --tag=CC|--tag=CXX) tagok=true ;;
- *) args@<:@${#args[@]}@:>@="$arg" ;;
- esac
-done
-if $modeok && $tagok ; then
- . ${top_builddir_slash}doltcompile "${args@<:@@@:>@}"
-else
- exec ${top_builddir_slash}libtool "$[]@"
-fi
-__DOLTLIBTOOL__EOF__
-
-dnl Done writing out doltlibtool; substitute it for libtool.
- chmod +x doltlibtool
- LIBTOOL='$(top_builddir)/doltlibtool'
-fi
-AC_SUBST(LTCOMPILE)
-AC_SUBST(LTCXXCOMPILE)
-# end dolt
-])
diff --git a/xorg-server/xkeyboard-config/symbols/ir b/xorg-server/xkeyboard-config/symbols/ir
index 7ee3bc731..8332f84e3 100644
--- a/xorg-server/xkeyboard-config/symbols/ir
+++ b/xorg-server/xkeyboard-config/symbols/ir
@@ -41,16 +41,16 @@ partial hidden alphanumeric_keys
xkb_symbols "pes_part_basic" {
// Persian digits
- key <AE01> { [ 0x10006f1, exclam, quoteleft ] };
- key <AE02> { [ 0x10006f2, 0x100066c, at ] };
- key <AE03> { [ 0x10006f3, 0x100066b, numbersign ] };
- key <AE04> { [ 0x10006f4, 0x100fdfc, dollar ] };
- key <AE05> { [ 0x10006f5, 0x100066a, percent ] };
- key <AE06> { [ 0x10006f6, multiply, asciicircum ] };
- key <AE07> { [ 0x10006f7, Arabic_comma, ampersand ] };
- key <AE08> { [ 0x10006f8, asterisk, enfilledcircbullet ] };
- key <AE09> { [ 0x10006f9, parenright, 0x100200e ] };
- key <AE10> { [ 0x10006f0, parenleft, 0x100200f ] };
+ key <AE01> { [ Farsi_1, exclam, quoteleft ] };
+ key <AE02> { [ Farsi_2, 0x100066c, at ] };
+ key <AE03> { [ Farsi_3, 0x100066b, numbersign ] };
+ key <AE04> { [ Farsi_4, 0x100fdfc, dollar ] };
+ key <AE05> { [ Farsi_5, 0x100066a, percent ] };
+ key <AE06> { [ Farsi_6, multiply, asciicircum ] };
+ key <AE07> { [ Farsi_7, Arabic_comma, ampersand ] };
+ key <AE08> { [ Farsi_8, asterisk, enfilledcircbullet ] };
+ key <AE09> { [ Farsi_9, parenright, 0x100200e ] };
+ key <AE10> { [ Farsi_0, parenleft, 0x100200f ] };
// Persian letters and symbols
key <AD01> { [ Arabic_dad, Arabic_sukun, degree ] };
@@ -64,27 +64,29 @@ xkb_symbols "pes_part_basic" {
key <AD09> { [ Arabic_khah, bracketright, 0x100202e ] };
key <AD10> { [ Arabic_hah, bracketleft, 0x100202c ] };
key <AD11> { [ Arabic_jeem, braceright, 0x100202a ] };
- key <AD12> { [ 0x1000686, braceleft, 0x100202b ] };
+ key <AD12> { [ Arabic_tcheh, braceleft, 0x100202b ] };
key <AC01> { [ Arabic_sheen, Arabic_hamzaonwaw, VoidSymbol ] };
key <AC02> { [ Arabic_seen, Arabic_hamzaonyeh, VoidSymbol ] };
- key <AC03> { [ 0x10006cc, Arabic_yeh, Arabic_alefmaksura ] };
+ key <AC03> { [ Farsi_yeh, Arabic_yeh, Arabic_alefmaksura ] };
key <AC04> { [ Arabic_beh, Arabic_hamzaunderalef, VoidSymbol ] };
key <AC05> { [ Arabic_lam, Arabic_hamzaonalef, VoidSymbol ] };
key <AC06> { [ Arabic_alef, Arabic_maddaonalef, 0x1000671 ] };
key <AC07> { [ Arabic_teh, Arabic_tehmarbuta, VoidSymbol ] };
key <AC08> { [ Arabic_noon, guillemotright, 0x100fd3e ] };
key <AC09> { [ Arabic_meem, guillemotleft, 0x100fd3f ] };
- key <AC10> { [ 0x10006a9, colon, semicolon ] };
- key <AC11> { [ 0x10006af, Arabic_semicolon, quotedbl ] };
+ key <AC10> { [ Arabic_keheh, colon, semicolon ] };
+ key <AC11> { [ Arabic_gaf, Arabic_semicolon, quotedbl ] };
key <AB01> { [ Arabic_zah, Arabic_kaf, VoidSymbol ] };
key <AB02> { [ Arabic_tah, 0x1000653, VoidSymbol ] };
- key <AB03> { [ Arabic_zain, 0x1000698, VoidSymbol ] };
- key <AB04> { [ Arabic_ra, 0x1000670, 0x1000656 ] };
+ key <AB03> { [ Arabic_zain, Arabic_jeh, VoidSymbol ] };
+ key <AB04> { [ Arabic_ra, Arabic_superscript_alef
+, 0x1000656 ] };
key <AB05> { [ Arabic_thal, 0x100200c, 0x100200d ] };
- key <AB06> { [ Arabic_dal, 0x1000654, 0x1000655 ] };
- key <AB07> { [ 0x100067e, Arabic_hamza, ellipsis ] };
+ key <AB06> { [ Arabic_dal, Arabic_hamza_above
+, Arabic_hamza_below ] };
+ key <AB07> { [ Arabic_peh, Arabic_hamza, ellipsis ] };
key <AB08> { [ Arabic_waw, greater, comma ] };
key <AB09> { [ period, less, apostrophe ] };
key <AB10> { [ slash, Arabic_question_mark, question ] };